従業員所属事業所削除
DELETE /staffs/{staff_id}/staff_stores/{store_id}
DELETE
/staffs/{staff_id}/staff_stores/{store_id}
指定した従業員の所属事業所を削除します。
対象
- プラン
- スタンダード
- プレミアム
- プレミアムプラス
- エンタープライズ
対象ユーザー権限
- 従業員管理編集(全て)
- 従業員管理編集(給与情報除く)
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” staff_id
required
string
従業員ID
Example
1 store_id
required
string
事業所ID
Example
1Responses
Section titled “ Responses ”削除成功
object
staffId
従業員ID
string
storeId
事業所ID
string
Example
{ "staffId": "123", "storeId": "1"}業務制約により削除できない場合
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Bad Request", "detail": "有給自動付与の出勤率算定参照先に設定されているため削除できません。"}- 指定した従業員IDのデータが存在しない場合
- 指定した事業所IDが存在しない場合
- 対象所属が未存在の場合
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Not Found", "detail": "データが確認できませんでした。事業所ID: 999"}